curl https://xenarch.dev/v1/agents/me \
-H "X-Wallet-Address: 0x1234...abcd"
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_address": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents
Get Agent Profile
Get the authenticated AI agent profile by wallet address — returns registration details, USDC balance, and x402 payment history summary.
GET
/
v1
/
agents
/
me
curl https://xenarch.dev/v1/agents/me \
-H "X-Wallet-Address: 0x1234...abcd"
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_address": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}curl https://xenarch.dev/v1/agents/me \
-H "X-Wallet-Address: 0x1234...abcd"
Notes
- Also available via
GET /v1/agents/wallet/{wallet_address}(public lookup)